Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 08-09-2019 20:20:36

Anaximandre
Membre
Inscription : 15-03-2019

Installer FreeCad version -18 ou version en test 618

Bonjour,j'ai effectué à la mise en route les manœuvres habituelles :

apt-get update


puis

apt-get upgrade


mais tout est à jour depuis hier.

la commande : apt-get install freecad  déclare en réponse que la version -16 est à jour.
donc je souhaite partir du site de FreeCad où une version plus récente de freecad -18 est disponible pour Linux.

sur git il y a  une version -19 pour Linux en cours de test qui fonctionne assez bien sur MACOS mais je ne sais pas commentm'y prendre pour installer les deux versions ?
Merci à qui veut et peut m'aider.
Je voudrais éviter d'installer la version sous win....

Edit à toto : Mis en forme des commandes root en utilisant Commande root du BBCode du forum.

Dernière modification par Anaximandre (08-09-2019 20:23:37)

Hors ligne

#2 08-09-2019 20:43:08

framend
Modo-Moule zébrée
Lieu : /home/framend
Distrib. : Sid
Noyau : 5.2.0-2-amd64
(G)UI : i3-wm/tty
Inscription : 17-11-2018

Re : Installer FreeCad version -18 ou version en test 618

Salut, je vois que la version 0.18 de freecad à été intégrée à buster.
Peut-être serait-ce l'occasion de faire la migration vers debian 10 (buster) ?
L'utilisation de logiciels installés depuis git (ou autre) peut parfois poser problème notamment pour les débutants.
Si la solution de l'upgrade vers buster ne te satisfait pas pour une raison ou une autre je veux bien t'aider à installer une version superieure via une autre méthode.
Mais très honnêtement utiliser ce qu'il y à dans les dépôts en priorité est une méthode apportant beaucoup plus de sérénité en général. smile

Si(d) un jour on m'avait dit.... Ben… j'y aurai pas cru !
Le problème c'est pas la distro, ni le wm, c'est l'icc (toujours) !

Hors ligne

#3 08-09-2019 20:55:13

Anaximandre
Membre
Inscription : 15-03-2019

Re : Installer FreeCad version -18 ou version en test 618

merci de cette célérité... comment vérifier que je suis bien sous Buster (ce qu'il me semble) ?

j'obtiens avec uname -a ; cat /etc/debian_version ; cat /etc/issue

Linux HPandreDebian 4.9.0-11-amd64 #1 SMP Debian 4.9.189-3 (2019-09-02) x86_64 GNU/Linux
c'est bon ou pas ?
uname -a ; cat /etc/debian_version ; cat /etc/issue

andre lsb_release -d
Description:    Debian GNU/Linux 9.10 (stretch)

Je suis donc sur stretch  et pas sous la version 10   là je patauge pour la suite ...

Dernière modification par Anaximandre (08-09-2019 21:14:15)

Hors ligne

#4 08-09-2019 21:28:31

framend
Modo-Moule zébrée
Lieu : /home/framend
Distrib. : Sid
Noyau : 5.2.0-2-amd64
(G)UI : i3-wm/tty
Inscription : 17-11-2018

Re : Installer FreeCad version -18 ou version en test 618

Oui au vu de la version du noyau linux installée tu n'es pas sur buster.

La migration vers debian 10 (et de manière générale toute migration) commence par un bon backup des données importantes pour limiter les dégats en cas de problème.

Ensuite et afin de parer à toutes éventualitée, pourrais tu me donner le retour de la commande

cat /etc/apt/sources.list


ainsi que
cat /etc/apt/sources.list.d

Edit :
toto modifie la commande en :

ls /etc/apt/sources.list.d/




En fonction du résultat on avisera…

Au fait pour vérifier la version du noyau, un simple

uname -r


suffit amplement wink

Et en passant remplir la section « ma distribution » de son profil peut énormement aider pour l'entraide.


Si(d) un jour on m'avait dit.... Ben… j'y aurai pas cru !
Le problème c'est pas la distro, ni le wm, c'est l'icc (toujours) !

Hors ligne

#5 08-09-2019 23:06:30

Anaximandre
Membre
Inscription : 15-03-2019

Re : Installer FreeCad version -18 ou version en test 618

le retour de la première commande :


# deb cdrom:[Debian GNU/Linux 9.8.0 _Stretch_ - Official amd64 NETINST 20190216-11:59]/ stretch main

#deb cdrom:[Debian GNU/Linux 9.8.0 _Stretch_ - Official amd64 NETINST 20190216-11:59]/ stretch main

deb http://ftp.fr.debian.org/debian/ stretch main contrib non-free
deb-src http://ftp.fr.debian.org/debian/ stretch main contrib non-free

deb http://security.debian.org/debian-security stretch/updates main contrib non-free
deb-src http://security.debian.org/debian-security stretch/updates main contrib non-free

# stretch-updates, previously known as 'volatile'
deb http://ftp.fr.debian.org/debian/ stretch-updates main contrib non-free
deb-src http://ftp.fr.debian.org/debian/ stretch-updates main contrib non-free

# Backports repository
deb http://deb.debian.org/debian stretch-backports main contrib non-free # available after stretch release
#deb http://deb.debian.org/debian stretch-backports-sloppy main contrib non-free # available after buster release



Edit à toto : Mis en forme de la liste des sources en utilisant apt_sources.

Hors ligne

#6 08-09-2019 23:13:13

Anaximandre
Membre
Inscription : 15-03-2019

Re : Installer FreeCad version -18 ou version en test 618

andre

cat /etc/apt/sources.list d


#

# deb cdrom:[Debian GNU/Linux 9.8.0 _Stretch_ - Official amd64 NETINST 20190216-11:59]/ stretch main

#deb cdrom:[Debian GNU/Linux 9.8.0 _Stretch_ - Official amd64 NETINST 20190216-11:59]/ stretch main

deb http://ftp.fr.debian.org/debian/ stretch main contrib non-free
deb-src http://ftp.fr.debian.org/debian/ stretch main contrib non-free

deb http://security.debian.org/debian-security stretch/updates main contrib non-free
deb-src http://security.debian.org/debian-security stretch/updates main contrib non-free

# stretch-updates, previously known as 'volatile'
deb http://ftp.fr.debian.org/debian/ stretch-updates main contrib non-free
deb-src http://ftp.fr.debian.org/debian/ stretch-updates main contrib non-free

# Backports repository
deb http://deb.debian.org/debian stretch-backports main contrib non-free # available after stretch release
#deb http://deb.debian.org/debian stretch-backports-sloppy main contrib non-free # available after buster release


cat: d: Aucun fichier ou dossier de ce type



Edit à toto : Mis en forme la commande user en utilisant Commande user du BBCode du forum df.

Hors ligne

#7 09-09-2019 04:15:46

smolski
admin quasi...modo
Lieu : AIN
Distrib. : 9 (stretch) 64 bits + backports
Noyau : 4.9.65-3+deb9u2
(G)UI : gnome
Inscription : 21-10-2008

Re : Installer FreeCad version -18 ou version en test 618

Anaximandre a écrit :


cat /etc/apt/sources.list d


cat: d: Aucun fichier ou dossier de ce type


commande cat érronée, y manque un point après list, ainsi :
cat /etc/apt/sources.list.d Ah zut ! Y faut utiliser ls :

cat /etc/apt/sources.list.d




Force et courage

Dernière modification par smolski (09-09-2019 11:39:33)


"Théo et Adama te rappellent pourquoi Zyed et Bouna couraient…"
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

En ligne

#8 09-09-2019 05:28:55

framend
Modo-Moule zébrée
Lieu : /home/framend
Distrib. : Sid
Noyau : 5.2.0-2-amd64
(G)UI : i3-wm/tty
Inscription : 17-11-2018

Re : Installer FreeCad version -18 ou version en test 618

Ce à quoi je répondrais… tout à fait mon cher smolski !

Petite explication:

Le sources.list est le fichier référençant les sources (les miroirs) vers lesquels apt se tournera pour installer/mettre à jour des paquets.

Le sources.list.d est un fichiers du même ordre un repertoire contenant des sources.list rendant les mêmes services, mais dans lequel sont listés les sources de paquets « non-debian(officiel) ».

Avant une migration, qui s'occupera de faire la mise à niveau (vers buster en l'occurence) de TOUS les paquets installés, il est nécessaire de vérifier ces deux fichiers afin d'éviter que certains dépots « non-debian » ne mette le bazar dans tout celà.

Il s'agira donc de purger le /etc/apt/sources.list.d, ainsi que tous les logiciels potentiellements installés avant une migration vers debian 10.

Quitte à les réinstaller par la suite.

Il faut comprendre que tous les paquets installés via apt et apt-get (sauf cas particulier, évidemment) sont mis à jour lors d'un update/upgrade, les paquets issus de dépots tiers (certains mettent dans le sources.list.d des dépôts PPA dédiés à Ubuntu, par exemple) seront mis à jour également.
Or, ceci peut se reveler trés risqué, et doit se faire en connaissance de cause (en fait, sauf besoin absolu, n'installer que depuis les dépôts debian reste l'idéal).

Si(d) un jour on m'avait dit.... Ben… j'y aurai pas cru !
Le problème c'est pas la distro, ni le wm, c'est l'icc (toujours) !

Hors ligne

#9 09-09-2019 09:27:12

Anaximandre
Membre
Inscription : 15-03-2019

Re : Installer FreeCad version -18 ou version en test 618

Merci de votre soutien :
je trouve des choses bizarres ainsi la commande qui suit et la réponse de la console :
andre cat /etc/apt/sources.list.d
cat: /etc/apt/sources.list.d: est un dossier

Hors ligne

#10 09-09-2019 10:28:12

smolski
admin quasi...modo
Lieu : AIN
Distrib. : 9 (stretch) 64 bits + backports
Noyau : 4.9.65-3+deb9u2
(G)UI : gnome
Inscription : 21-10-2008

Re : Installer FreeCad version -18 ou version en test 618

Ah zut !
Oui, il faut utiliser ls à la place de cat :

ls /etc/apt/sources.list.d/


"Théo et Adama te rappellent pourquoi Zyed et Bouna couraient…"
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

En ligne

#11 09-09-2019 10:53:08

framend
Modo-Moule zébrée
Lieu : /home/framend
Distrib. : Sid
Noyau : 5.2.0-2-amd64
(G)UI : i3-wm/tty
Inscription : 17-11-2018

Re : Installer FreeCad version -18 ou version en test 618

arf! je me suis levé trop tôt…scratchhead.gif

Si(d) un jour on m'avait dit.... Ben… j'y aurai pas cru !
Le problème c'est pas la distro, ni le wm, c'est l'icc (toujours) !

Hors ligne

#12 09-09-2019 11:40:46

smolski
admin quasi...modo
Lieu : AIN
Distrib. : 9 (stretch) 64 bits + backports
Noyau : 4.9.65-3+deb9u2
(G)UI : gnome
Inscription : 21-10-2008

Re : Installer FreeCad version -18 ou version en test 618

@framend : Et moi recouché trop vite lol

"Théo et Adama te rappellent pourquoi Zyed et Bouna couraient…"
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

En ligne

#13 09-09-2019 12:42:50

framend
Modo-Moule zébrée
Lieu : /home/framend
Distrib. : Sid
Noyau : 5.2.0-2-amd64
(G)UI : i3-wm/tty
Inscription : 17-11-2018

Re : Installer FreeCad version -18 ou version en test 618

Si effectivement le retour de

ls /etc/apt/sources.list.d

ne renvoie rien, c'est bel et bien que les seuls dépots debian sont utilisés.

La migration n'en sera que plus simple.


Si(d) un jour on m'avait dit.... Ben… j'y aurai pas cru !
Le problème c'est pas la distro, ni le wm, c'est l'icc (toujours) !

Hors ligne

#14 10-09-2019 10:21:05

framend
Modo-Moule zébrée
Lieu : /home/framend
Distrib. : Sid
Noyau : 5.2.0-2-amd64
(G)UI : i3-wm/tty
Inscription : 17-11-2018

Re : Installer FreeCad version -18 ou version en test 618

En passant, avec le retour de:

ls /etc/apt/sources.list.d


Il serait intéresssant de vérifier que tous les paquets sont en état d'être mis à niveau.

Si tu peux nous donner le retour de:

dpkg --audit


et:

dpkg --get-selections | grep 'hold$'



Ces deux commandes indique tous les paquets qui sont dans l'état « Half-Installed » ou « Failed-Config » et les paquets en erreur, pour la première, et les paquets en état «hold» (bloqués) pour la seconde.
Si l'installation est récente il y à peu de chance, mais il est toujours bon de vérifier avant migration.


Si(d) un jour on m'avait dit.... Ben… j'y aurai pas cru !
Le problème c'est pas la distro, ni le wm, c'est l'icc (toujours) !

Hors ligne

#15 10-09-2019 10:32:00

Anaximandre
Membre
Inscription : 15-03-2019

Re : Installer FreeCad version -18 ou version en test 618

OK bonjour et merci... Je suis en vacances donc
toutes les commandes de vérification des fichiers sources.list.d montre que ces fichiers sont vides
ce qui me surprend (mais je suis novice) c'est que la commande : sed ? qui permet de remplacer ici stretch par buster ne fonctionne pas dans le fichier des sources scratchhead.gif

Hors ligne

#16 10-09-2019 11:55:02

framend
Modo-Moule zébrée
Lieu : /home/framend
Distrib. : Sid
Noyau : 5.2.0-2-amd64
(G)UI : i3-wm/tty
Inscription : 17-11-2018

Re : Installer FreeCad version -18 ou version en test 618

En principe sed fonctionne tout aussi bien dans un sources.list qu'ailleurs, il faut par contre lancer la commande en root.
Cependant attention avec sed, une vérification du sources.list après modification est impérative.
Un alternative est de modifier le fichier « à la main» via:

nano /etc/apt/sources.list


Si(d) un jour on m'avait dit.... Ben… j'y aurai pas cru !
Le problème c'est pas la distro, ni le wm, c'est l'icc (toujours) !

Hors ligne

#17 11-09-2019 00:45:44

Anaximandre
Membre
Inscription : 15-03-2019

Re : Installer FreeCad version -18 ou version en test 618

question idiote peut-être ?
EN mode console si je fais "su" on me demande mon psw et je passe en mode root ou non ?
ce qui expliquerait quelque chose ?
bon en cherchant un peu j'ai eu un message me disant que j'étais en root.. donc OK

Avec nano j'ai édité le fichier nano /etc/apt/sources.list
j'ai remplacé strecht par buster et vérifié la sauvegarde

ensuite j'ai lancé la commande :
apt-get dist-upgrade 
la réponse :                     
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Calcul de la mise à jour... Fait
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.

donc rien n'est changé ???

Dernière modification par Anaximandre (11-09-2019 01:02:03)

Hors ligne

#18 11-09-2019 07:31:15

Anaximandre
Membre
Inscription : 15-03-2019

Re : Installer FreeCad version -18 ou version en test 618

J'ai réussi enfin à installer la version buster. de Debian. Et là mauvaise nouvelle : C'est toujours FreeCad Version 0.16 qui est installée. Ce qui me chagrine, c'est que j'ai réussi à installer la version 0.18 sous WIN 10 mais je patauge en Linux !!!:mad:

Hors ligne

#19 11-09-2019 07:46:24

lagrenouille
CA Debian-Facile
Lieu : Toulouse, con !
Distrib. : stretch et buster amd64
Noyau : d'olive
(G)UI : env i3-clavier bépo
Inscription : 28-03-2012
Site Web

Re : Installer FreeCad version -18 ou version en test 618

@Anaximandr

dorénavant il te faut faire su -   ou su -l

tu as un post qui explique le pourquoi du comment, écrit par bendia

In girum imus nocte et consumimur igni 

Hors ligne

#20 11-09-2019 10:38:18

framend
Modo-Moule zébrée
Lieu : /home/framend
Distrib. : Sid
Noyau : 5.2.0-2-amd64
(G)UI : i3-wm/tty
Inscription : 17-11-2018

Re : Installer FreeCad version -18 ou version en test 618

Salut, comme le signale lagrenouille le passage en super utilisateur ne se fait désormais plus par « su » mais par « su - » ou « su -l ».
L'explication est ici (en fait c'est un peu plus compliqué que « ne se fait plus»):
https://debian-facile.org/viewtopic.php?id=24898

Qu'entends tu par « installer la version buster. de Debian. ». Il s'agit d'une nouvelle installation ou d'une mise à niveau de ton installation de stretch ?


D'autre part la version de freecad incorporée à buster est bien la version 0.18.
https://packages.debian.org/buster/freecad

Je te propose donc de re-vérifier le contenu du sources.list via la commande:

cat /etc/apt/sources.list


Si(d) un jour on m'avait dit.... Ben… j'y aurai pas cru !
Le problème c'est pas la distro, ni le wm, c'est l'icc (toujours) !

Hors ligne

#21 11-09-2019 15:28:28

Anaximandre
Membre
Inscription : 15-03-2019

Re : Installer FreeCad version -18 ou version en test 618

cat /etc/apt/sources.list    donne :

#

# deb cdrom:[Debian GNU/Linux 9.8.0 _Stretch_ - Official amd64 NETINST 20190216-11:59]/ stretch main

# deb cdrom:[Debian GNU/Linux 9.8.0 _Stretch_ - Official amd64 NETINST 20190216-11:59]/ stretch main

deb http://ftp.fr.debian.org/debian/ buster main contrib non-free
deb-src http://ftp.fr.debian.org/debian/ buster main contrib non-free

deb http://security.debian.org/debian-security buster/updates main contrib non-free
deb-src http://security.debian.org/debian-security buster/updates main contrib non-free

# stretch-updates, previously known as 'volatile'
deb http://ftp.fr.debian.org/debian/ buster-updates main contrib non-free
deb-src http://ftp.fr.debian.org/debian/ buster-updates main contrib non-free

# Backports repository
deb http://deb.debian.org/debian buster-backports main contrib non-free # available after stretch release
# deb http://deb.debian.org/debian buster-backports-sloppy main contrib non-free # available after buster release

Hors ligne

#22 11-09-2019 16:17:25

framend
Modo-Moule zébrée
Lieu : /home/framend
Distrib. : Sid
Noyau : 5.2.0-2-amd64
(G)UI : i3-wm/tty
Inscription : 17-11-2018

Re : Installer FreeCad version -18 ou version en test 618

Le sources.list correspond bien à une debian stable « buster ».

Cependant les dépôts « backports » de buster ne sont pas encore en place me semble-t-il.

Il vaut donc mieux les commenter pour l'instant.

d'autre part la mise à niveau à elle été faite ?

Par exemple que donne:

uname -a


Si(d) un jour on m'avait dit.... Ben… j'y aurai pas cru !
Le problème c'est pas la distro, ni le wm, c'est l'icc (toujours) !

Hors ligne

#23 11-09-2019 17:29:40

Anaximandre
Membre
Inscription : 15-03-2019

Re : Installer FreeCad version -18 ou version en test 618

➜  andre

uname -a


Linux HPandreDebian 4.19.0-6-amd64 #1 SMP Debian 4.19.67-2 (2019-08-28) x86_64 GNU/Linux



donc pas la version 10 ????

Edit à toto : Modifié la commande user et son retour en utilisant le BBCode du forum. Plus lisible par tous ainsi...

Hors ligne

#24 11-09-2019 17:37:27

smolski
admin quasi...modo
Lieu : AIN
Distrib. : 9 (stretch) 64 bits + backports
Noyau : 4.9.65-3+deb9u2
(G)UI : gnome
Inscription : 21-10-2008

Re : Installer FreeCad version -18 ou version en test 618

Chez moi en Buster :

uname -a


Linux nom_machine 4.19.0-6-amd64 #1 SMP Debian 4.19.67-2 (2019-08-28) x86_64 GNU/Linux



pour les explications de la commande uname voir le tuto :
https://debian-facile.org/doc:systeme:u … tion-a-all

Force et courage

Dernière modification par smolski (11-09-2019 17:38:35)


"Théo et Adama te rappellent pourquoi Zyed et Bouna couraient…"
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

En ligne

#25 11-09-2019 18:23:10

framend
Modo-Moule zébrée
Lieu : /home/framend
Distrib. : Sid
Noyau : 5.2.0-2-amd64
(G)UI : i3-wm/tty
Inscription : 17-11-2018

Re : Installer FreeCad version -18 ou version en test 618

À priori la version du noyau est bien celle de buster.

Je te propose de regarder ce que donne :

freecad -v



L'option « -v » indique généralement la version. (pas certain dans le cas de freecad, mais ça ne coûte rien).


Si(d) un jour on m'avait dit.... Ben… j'y aurai pas cru !
Le problème c'est pas la distro, ni le wm, c'est l'icc (toujours) !

Hors ligne

Pied de page des forums